variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}

variable "fqdn" {
  description = "The fully qualified domain name for the app server"
  type        = string
}

variable "tag" {
  description = "The version of app to install"
  type        = string
  default     = "main"
}

variable "issuer" {
  description = "The issuer for the certificate"
  type        = string
  default     = "internal-ca"
}

variable "ollama_proxy" {
  description = "Configuration for the Ollama proxy"
  type = object({
    enabled = bool
    mac     = optional(string, "")
    ip      = optional(string, "")
    port    = optional(string, "11434")
    scheme  = optional(string, "http")
  })
  default = {
    enabled = false
  }

}
